For the complete documentation index, see llms.txt. This page is also available as Markdown.

Packages

Recurring passes for event signups, court bookings, guest passes.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageIdstringRequiredExample: 55d4db3a-4e78-407c-994f-b772520ceea9
Responses
200

Returns a Package

application/json
idstringRequired
displayNamestringRequired
displayNamePluralstringRequired
statusstring · enumRead-onlyRequiredPossible values:
createdDatestring · date-timeRead-onlyRequired
expirationDatestring · date-timeRequired
_linksobjectRequired
get/packages/{packageId}
GET /apis/v2/packages/{packageId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a Package

{
  "id": "text",
  "displayName": "text",
  "displayNamePlural": "text",
  "status": "ACTIVE",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "expirationDate": "2026-01-01T00:00:00.000Z",
  "items": {
    "items": [
      {
        "id": "text",
        "type": "BOOKING",
        "displayName": "text",
        "displayNamePlural": "text",
        "totalItems": 1,
        "constraints": {
          "bookingEventSubtype": [
            null
          ],
          "bookingEventCustomType": "text",
          "bookingEventCustomTypesMatchAny": [
            "text"
          ],
          "bookingEventTagsMatchAll": [
            "text"
          ],
          "bookingEventTagsMatchAny": [
            "text"
          ],
          "allowKids": true,
          "bookingSessionPeriodTypeMatchAny": [
            null
          ],
          "bookingAreaSlugMatchAny": [
            "text"
          ],
          "bookingPodIdsMatchAny": [
            "text"
          ]
        },
        "remainingItems": 1
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "redemptions": {
    "items": [
      {
        "id": "text",
        "redemptionDate": "2026-01-01T00:00:00.000Z",
        "item": 1,
        "user": {
          "id": "text"
        },
        "order": {
          "id": "text"
        },
        "orderItem": {
          "id": "text"
        },
        "cancelationDate": "2026-01-01T00:00:00.000Z",
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "template": {
    "id": "text"
  },
  "order": {
    "id": "text"
  },
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageIdstringRequiredExample: 55d4db3a-4e78-407c-994f-b772520ceea9
Body
displayNamestringRequired
displayNamePluralstringRequired
expirationDatestring · date-timeRequired
Responses
200

Updates a Package

application/json
idstringRequired
displayNamestringRequired
displayNamePluralstringRequired
statusstring · enumRead-onlyRequiredPossible values:
createdDatestring · date-timeRead-onlyRequired
expirationDatestring · date-timeRequired
_linksobjectRequired
patch/packages/{packageId}
PATCH /apis/v2/packages/{packageId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 571

{
  "displayName": "text",
  "displayNamePlural": "text",
  "expirationDate": "2026-01-01T00:00:00.000Z",
  "items": {
    "items": [
      {
        "id": "text",
        "type": "BOOKING",
        "displayName": "text",
        "displayNamePlural": "text",
        "totalItems": 1,
        "constraints": {
          "bookingEventSubtype": [
            null
          ],
          "bookingEventCustomType": "text",
          "bookingEventCustomTypesMatchAny": [
            "text"
          ],
          "bookingEventTagsMatchAll": [
            "text"
          ],
          "bookingEventTagsMatchAny": [
            "text"
          ],
          "allowKids": true,
          "bookingSessionPeriodTypeMatchAny": [
            null
          ],
          "bookingAreaSlugMatchAny": [
            "text"
          ],
          "bookingPodIdsMatchAny": [
            "text"
          ]
        }
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  }
}
200

Updates a Package

{
  "id": "text",
  "displayName": "text",
  "displayNamePlural": "text",
  "status": "ACTIVE",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "expirationDate": "2026-01-01T00:00:00.000Z",
  "items": {
    "items": [
      {
        "id": "text",
        "type": "BOOKING",
        "displayName": "text",
        "displayNamePlural": "text",
        "totalItems": 1,
        "constraints": {
          "bookingEventSubtype": [
            null
          ],
          "bookingEventCustomType": "text",
          "bookingEventCustomTypesMatchAny": [
            "text"
          ],
          "bookingEventTagsMatchAll": [
            "text"
          ],
          "bookingEventTagsMatchAny": [
            "text"
          ],
          "allowKids": true,
          "bookingSessionPeriodTypeMatchAny": [
            null
          ],
          "bookingAreaSlugMatchAny": [
            "text"
          ],
          "bookingPodIdsMatchAny": [
            "text"
          ]
        },
        "remainingItems": 1
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "redemptions": {
    "items": [
      {
        "id": "text",
        "redemptionDate": "2026-01-01T00:00:00.000Z",
        "item": 1,
        "user": {
          "id": "text"
        },
        "order": {
          "id": "text"
        },
        "orderItem": {
          "id": "text"
        },
        "cancelationDate": "2026-01-01T00:00:00.000Z",
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "template": {
    "id": "text"
  },
  "order": {
    "id": "text"
  },
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageIdstringRequiredExample: 55d4db3a-4e78-407c-994f-b772520ceea9
itemIdstringRequiredExample: 56d4db3a-4e78-407c-994f-b772520ceea9
Body
displayNamestringRequired
displayNamePluralstringRequired
totalItemsnumberRequired
Responses
200

Updates a PackageItem

application/json
idstringRequired
typestring · enumRequiredPossible values:
displayNamestringRequired
displayNamePluralstringRequired
totalItemsnumberRequired
remainingItemsnumberRead-onlyRequired
patch/packages/{packageId}/items/{itemId}
PATCH /apis/v2/packages/{packageId}/items/{itemId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 64

{
  "displayName": "text",
  "displayNamePlural": "text",
  "totalItems": 1
}
200

Updates a PackageItem

{
  "id": "text",
  "type": "BOOKING",
  "displayName": "text",
  "displayNamePlural": "text",
  "totalItems": 1,
  "constraints": {
    "bookingEventSubtype": [
      null
    ],
    "bookingEventCustomType": "text",
    "bookingEventCustomTypesMatchAny": [
      "text"
    ],
    "bookingEventTagsMatchAll": [
      "text"
    ],
    "bookingEventTagsMatchAny": [
      "text"
    ],
    "allowKids": true,
    "bookingSessionPeriodTypeMatchAny": [
      null
    ],
    "bookingAreaSlugMatchAny": [
      "text"
    ],
    "bookingPodIdsMatchAny": [
      "text"
    ]
  },
  "remainingItems": 1
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Returns a PackageTemplateCollection

application/json
_totalnumberRequired
get/package-templates
GET /apis/v2/package-templates HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a PackageTemplateCollection

{
  "items": [
    {
      "id": "text",
      "displayName": "text",
      "displayNamePlural": "text",
      "createdDate": "2026-01-01T00:00:00.000Z",
      "durationDays": 1,
      "items": {
        "items": [
          {
            "id": "text",
            "type": "BOOKING",
            "displayName": "text",
            "displayNamePlural": "text",
            "totalItems": 1,
            "constraints": {
              "bookingEventSubtype": [
                null
              ],
              "bookingEventCustomType": "text",
              "bookingEventCustomTypesMatchAny": [
                "text"
              ],
              "bookingEventTagsMatchAll": [
                "text"
              ],
              "bookingEventTagsMatchAny": [
                "text"
              ],
              "allowKids": true,
              "bookingSessionPeriodTypeMatchAny": [
                null
              ],
              "bookingAreaSlugMatchAny": [
                "text"
              ],
              "bookingPodIdsMatchAny": [
                "text"
              ]
            }
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
idstringRead-onlyRequired
displayNamestringRequired
displayNamePluralstringRequired
createdDatestring · date-timeRead-onlyRequired
durationDaysnumberOptional
_linksobjectRequired
Responses
201

Creates a PackageTemplate

application/json
idstringRead-onlyRequired
displayNamestringRequired
displayNamePluralstringRequired
createdDatestring · date-timeRead-onlyRequired
durationDaysnumberOptional
_linksobjectRequired
post/package-templates
POST /apis/v2/package-templates HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 556

{
  "displayName": "text",
  "displayNamePlural": "text",
  "durationDays": 1,
  "items": {
    "items": [
      {
        "id": "text",
        "type": "BOOKING",
        "displayName": "text",
        "displayNamePlural": "text",
        "totalItems": 1,
        "constraints": {
          "bookingEventSubtype": [
            null
          ],
          "bookingEventCustomType": "text",
          "bookingEventCustomTypesMatchAny": [
            "text"
          ],
          "bookingEventTagsMatchAll": [
            "text"
          ],
          "bookingEventTagsMatchAny": [
            "text"
          ],
          "allowKids": true,
          "bookingSessionPeriodTypeMatchAny": [
            null
          ],
          "bookingAreaSlugMatchAny": [
            "text"
          ],
          "bookingPodIdsMatchAny": [
            "text"
          ]
        }
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "_links": {}
}
{
  "id": "text",
  "displayName": "text",
  "displayNamePlural": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "durationDays": 1,
  "items": {
    "items": [
      {
        "id": "text",
        "type": "BOOKING",
        "displayName": "text",
        "displayNamePlural": "text",
        "totalItems": 1,
        "constraints": {
          "bookingEventSubtype": [
            null
          ],
          "bookingEventCustomType": "text",
          "bookingEventCustomTypesMatchAny": [
            "text"
          ],
          "bookingEventTagsMatchAll": [
            "text"
          ],
          "bookingEventTagsMatchAny": [
            "text"
          ],
          "allowKids": true,
          "bookingSessionPeriodTypeMatchAny": [
            null
          ],
          "bookingAreaSlugMatchAny": [
            "text"
          ],
          "bookingPodIdsMatchAny": [
            "text"
          ]
        }
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageTemplateIdstringRequiredExample: 55d4db3a-4e78-407c-994f-b772520ceea9
Responses
200

Returns a PackageTemplate

application/json
idstringRead-onlyRequired
displayNamestringRequired
displayNamePluralstringRequired
createdDatestring · date-timeRead-onlyRequired
durationDaysnumberOptional
_linksobjectRequired
get/package-templates/{packageTemplateId}
GET /apis/v2/package-templates/{packageTemplateId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a PackageTemplate

{
  "id": "text",
  "displayName": "text",
  "displayNamePlural": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "durationDays": 1,
  "items": {
    "items": [
      {
        "id": "text",
        "type": "BOOKING",
        "displayName": "text",
        "displayNamePlural": "text",
        "totalItems": 1,
        "constraints": {
          "bookingEventSubtype": [
            null
          ],
          "bookingEventCustomType": "text",
          "bookingEventCustomTypesMatchAny": [
            "text"
          ],
          "bookingEventTagsMatchAll": [
            "text"
          ],
          "bookingEventTagsMatchAny": [
            "text"
          ],
          "allowKids": true,
          "bookingSessionPeriodTypeMatchAny": [
            null
          ],
          "bookingAreaSlugMatchAny": [
            "text"
          ],
          "bookingPodIdsMatchAny": [
            "text"
          ]
        }
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageTemplateIdstringRequiredExample: 55d4db3a-4e78-407c-994f-b772520ceea9
Responses
200

Updates a PackageTemplate

application/json
idstringRead-onlyRequired
displayNamestringRequired
displayNamePluralstringRequired
createdDatestring · date-timeRead-onlyRequired
durationDaysnumberOptional
_linksobjectRequired
delete/package-templates/{packageTemplateId}
DELETE /apis/v2/package-templates/{packageTemplateId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Updates a PackageTemplate

{
  "id": "text",
  "displayName": "text",
  "displayNamePlural": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "durationDays": 1,
  "items": {
    "items": [
      {
        "id": "text",
        "type": "BOOKING",
        "displayName": "text",
        "displayNamePlural": "text",
        "totalItems": 1,
        "constraints": {
          "bookingEventSubtype": [
            null
          ],
          "bookingEventCustomType": "text",
          "bookingEventCustomTypesMatchAny": [
            "text"
          ],
          "bookingEventTagsMatchAll": [
            "text"
          ],
          "bookingEventTagsMatchAny": [
            "text"
          ],
          "allowKids": true,
          "bookingSessionPeriodTypeMatchAny": [
            null
          ],
          "bookingAreaSlugMatchAny": [
            "text"
          ],
          "bookingPodIdsMatchAny": [
            "text"
          ]
        }
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageTemplateIdstringRequiredExample: 55d4db3a-4e78-407c-994f-b772520ceea9
Body
idstringRead-onlyRequired
displayNamestringRequired
displayNamePluralstringRequired
durationDaysnumberOptional
Responses
201

Updates a PackageTemplate

application/json
idstringRead-onlyRequired
displayNamestringRequired
displayNamePluralstringRequired
createdDatestring · date-timeRead-onlyRequired
durationDaysnumberOptional
_linksobjectRequired
patch/package-templates/{packageTemplateId}
PATCH /apis/v2/package-templates/{packageTemplateId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 544

{
  "displayName": "text",
  "displayNamePlural": "text",
  "durationDays": 1,
  "items": {
    "items": [
      {
        "id": "text",
        "type": "BOOKING",
        "displayName": "text",
        "displayNamePlural": "text",
        "totalItems": 1,
        "constraints": {
          "bookingEventSubtype": [
            null
          ],
          "bookingEventCustomType": "text",
          "bookingEventCustomTypesMatchAny": [
            "text"
          ],
          "bookingEventTagsMatchAll": [
            "text"
          ],
          "bookingEventTagsMatchAny": [
            "text"
          ],
          "allowKids": true,
          "bookingSessionPeriodTypeMatchAny": [
            null
          ],
          "bookingAreaSlugMatchAny": [
            "text"
          ],
          "bookingPodIdsMatchAny": [
            "text"
          ]
        }
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  }
}
{
  "id": "text",
  "displayName": "text",
  "displayNamePlural": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "durationDays": 1,
  "items": {
    "items": [
      {
        "id": "text",
        "type": "BOOKING",
        "displayName": "text",
        "displayNamePlural": "text",
        "totalItems": 1,
        "constraints": {
          "bookingEventSubtype": [
            null
          ],
          "bookingEventCustomType": "text",
          "bookingEventCustomTypesMatchAny": [
            "text"
          ],
          "bookingEventTagsMatchAll": [
            "text"
          ],
          "bookingEventTagsMatchAny": [
            "text"
          ],
          "allowKids": true,
          "bookingSessionPeriodTypeMatchAny": [
            null
          ],
          "bookingAreaSlugMatchAny": [
            "text"
          ],
          "bookingPodIdsMatchAny": [
            "text"
          ]
        }
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
userIdstringRequiredExample: current
Query parameters
expandstring[]OptionalExample: ["items._links.redemptions"]
Responses
200

Returns a PackageCollection

application/json
idstringRequired
displayNamestringRequired
displayNamePluralstringRequired
statusstring · enumRead-onlyRequiredPossible values:
createdDatestring · date-timeRead-onlyRequired
expirationDatestring · date-timeRequired
_linksobjectRequired
get/users/{userId}/packages
GET /apis/v2/users/{userId}/packages HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a PackageCollection

{
  "id": "text",
  "displayName": "text",
  "displayNamePlural": "text",
  "status": "ACTIVE",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "expirationDate": "2026-01-01T00:00:00.000Z",
  "items": {
    "items": [
      {
        "id": "text",
        "type": "BOOKING",
        "displayName": "text",
        "displayNamePlural": "text",
        "totalItems": 1,
        "constraints": {
          "bookingEventSubtype": [
            null
          ],
          "bookingEventCustomType": "text",
          "bookingEventCustomTypesMatchAny": [
            "text"
          ],
          "bookingEventTagsMatchAll": [
            "text"
          ],
          "bookingEventTagsMatchAny": [
            "text"
          ],
          "allowKids": true,
          "bookingSessionPeriodTypeMatchAny": [
            null
          ],
          "bookingAreaSlugMatchAny": [
            "text"
          ],
          "bookingPodIdsMatchAny": [
            "text"
          ]
        },
        "remainingItems": 1
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "redemptions": {
    "items": [
      {
        "id": "text",
        "redemptionDate": "2026-01-01T00:00:00.000Z",
        "item": 1,
        "user": {
          "id": "text"
        },
        "order": {
          "id": "text"
        },
        "orderItem": {
          "id": "text"
        },
        "cancelationDate": "2026-01-01T00:00:00.000Z",
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "template": {
    "id": "text"
  },
  "order": {
    "id": "text"
  },
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
userIdstringRequiredExample: current
Query parameters
fromstring · date-timeOptional

Start date for history (defaults to 6 months ago)

tostring · date-timeOptional

End date for history (defaults to now)

Responses
200

Returns a PackageHistoryCollection

application/json
_totalnumberRequired
get/users/{userId}/packages/history
GET /apis/v2/users/{userId}/packages/history HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a PackageHistoryCollection

{
  "items": [
    {
      "type": "GRANT",
      "date": "2026-01-01T00:00:00.000Z",
      "amount": 1,
      "description": "text",
      "package": {
        "id": "text"
      },
      "order": {
        "id": "text"
      },
      "orderItem": {
        "id": "text"
      },
      "packageType": "text",
      "expirationDate": "2026-01-01T00:00:00.000Z"
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}

Last updated

Was this helpful?